Subject: /bin/del

From: [email-masked]
Date: Sat, 27 Oct 2018 16:22:45 +0200 (CEST)

Hello, 

in this message a do a plea to introduce a /bin/del command into the coreutils. 

Deleting is something totally different than removing. It is a mv action and there must be a restore action. 

With the coreutils, removing is the default. This is not wrong, but it can be very anyoing, as I have experiences with the mv command. The current coreutils work like an incinerator. There is no way back. 

There exist file managers with a recycle bin to solve the problem. But I think they all work differently. Switching from file manager therefore is not obvious. If there would be a /bin/del command, these file managers all could do a system call to he SAME routine, with the same functionality. 

How must this del command work? Look, on the net one finds a plethora of tools to do the job in a command line way. 

I ask you, coreutils developers to develop a /bin/del, that combines the best of these tools. 

Regards, 

Francky